<!DOCTYPE html>
<html>

<head>
  <title>Findedeinabenteuer.de</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta name="language" content="de_DE" />
  <meta http-equiv="content-language" content="de_DE" />
  <meta name="robots" content="noindex, nofollow" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
  <link rel="icon" type="image/png" href="img/fav.png" />

  <link rel="stylesheet" href="css/style.css" />
  <link rel="stylesheet" href="css/red.css" />
  <style>
    .wrapper {
      background-image: url("img/gn19.jpg");
    }

    .wrapper.has-slogan {
      background-image: url("img/gn20.jpg");
    }
  </style>



  <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css" />
  <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet" />
  <script src="js/base.js"></script>
  <link rel="stylesheet" href="css/style_formular.css" />
</head>

<body>
  <div class="wrapper">
    <div class="header">
      <a class="logo logo-affaire"><img src="img/main_impact.png" /></a>
    </div>
    <div class="main-content">
      <div class="main-content-inner">
        <div class="content-step js-step ">
          <div class="panel">
            <header class="">
              <h2>WICHTIG!</h2>
            </header>
            <div class="panel-content">
              <p class="headline-white">
                DU WIRST NACKFOTOS VON FRAUEN IN DEINER UMGEBUNG SEHEN.
              </p>
              <p class="headline-orange">BITTE SEI DISKRET.</p>
              <div class="pic-only">
                <img src="img/gn-step1-3.gif" alt="fsk18/m/gn-step1-3.gif" />
              </div>
              <div class="btn-group">
                <button type="button" class="btn btn btn-green js-next-step">
                  OK
                </button>
              </div>
            </div>
          </div>
        </div>
        <div class="content-step js-step hidden">
          <div class="panel">
            <header class="">
              <h2>FICKE HEUTE</h2>
            </header>
            <div class="panel-content">
              <p class="headline-white">
                ES GIBT 380 WEIBLICHE MITGLIEDER IM UMKREIS VON 10KM IN DEINER
                NÄHE.
              </p>
              <p class="headline-white">
                DIESE FRAUEN SUCHEN NUR NACH GELEGENTLICHEN SEXUELLEN
                BEGEGNUNGEN.
              </p>
              <p class="headline-orange">BIST DU ÜBER 18?</p>
              <div class="btn-group">
                <button type="button" class="btn btn btn-green js-next-step">
                  JA
                </button>
                <button type="button" class="btn btn btn-green js-next-step">
                  NEIN
                </button>
              </div>
            </div>
          </div>
        </div>
        <div class="content-step js-step hidden">
          <div class="panel">
            <header class="">
              <h2>KÖRPERTYP</h2>
            </header>
            <div class="panel-content">
              <p class="headline-white headline-small">
                WELCHER KÖRPERTYP MACHT DICH AN?<span>(BITTE WÄHLE MAXIMAL 3 ANTWORTEN)</span>
              </p>
              <ul class="checklist js-checklist">
                <li>
                  <input id="step31" name="step31" type="checkbox" />
                  <label for="step31">DÜNN<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step32" name="step32" type="checkbox" />
                  <label for="step32">NORMAL<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step33" name="step33" type="checkbox" />
                  <label for="step33">GROßE TITTEN<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step34" name="step34" type="checkbox" />
                  <label for="step34">KNACKIGER ARSCH<span class="checked"></span></label>
                </li>
              </ul>
              <div class="btn-group">
                <button type="button" class="btn btn btn-full btn-green js-next-step">
                  WEITER
                </button>
              </div>
            </div>
          </div>
        </div>
        <div class="content-step js-step hidden">
          <div class="panel">
            <header class="">
              <h2>BEVORZUGTES ALTER</h2>
            </header>
            <div class="panel-content">
              <p class="headline-white headline-small">
                WELCHES FRAUENALTER PASST AM BESTEN ZU DIR?<span>(BITTE WÄHLE MAXIMAL 3 ANTWORTEN)</span>
              </p>
              <ul class="checklist js-checklist">
                <li>
                  <input id="step41" name="step41" type="checkbox" />
                  <label for="step41">18-25<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step42" name="step42" type="checkbox" />
                  <label for="step42">26-35<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step43" name="step43" type="checkbox" />
                  <label for="step43">36-45<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step44" name="step44" type="checkbox" />
                  <label for="step44">46 UND ÄLTER<span class="checked"></span></label>
                </li>
              </ul>
              <div class="btn-group">
                <button type="button" class="btn btn btn-full btn-green js-next-step">
                  WEITER
                </button>
              </div>
            </div>
          </div>
        </div>
        <div class="content-step js-step hidden">
          <div class="panel">
            <header class="">
              <h2>IHR ZIEL</h2>
            </header>
            <div class="panel-content">
              <p class="headline-white headline-small">
                WELCHE ART VON BEZIEHUNG SUCHST DU?<span>(BITTE WÄHLE MAXIMAL 3 ANTWORTEN)</span>
              </p>
              <ul class="checklist js-checklist">
                <li>
                  <input id="step51" name="step51" type="checkbox" />
                  <label for="step51">ONE-NIGHT-STAND<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step52" name="step52" type="checkbox" />
                  <label for="step52">MEHRMALS SEX<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step53" name="step53" type="checkbox" />
                  <label for="step53">SEX OHNE JEGLICHE VERANTWORTUNG<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step54" name="step54" type="checkbox" />
                  <label for="step54">DATING<span class="checked"></span></label>
                </li>
              </ul>
              <div class="btn-group">
                <button type="button" class="btn btn btn-full btn-green js-next-step">
                  WEITER
                </button>
              </div>
            </div>
          </div>
        </div>
        <div class="content-step js-step hidden">
          <div class="panel">
            <header class="">
              <h2>STANDORT</h2>
            </header>
            <div class="panel-content">
              <p class="headline-white headline-small">
                ENTFERNUNG ZWISCHEN DIR UND IHR?<span>(BITTE WÄHLE MAXIMAL 3 ANTWORTEN)</span>
              </p>
              <ul class="checklist js-checklist">
                <li>
                  <input id="step61" name="step61" type="checkbox" />
                  <label for="step61">SELBE STADT<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step62" name="step62" type="checkbox" />
                  <label for="step62">STÄDTE IN DER NÄHE<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step63" name="step63" type="checkbox" />
                  <label for="step63">1-5 KM ENTFERNT VON MEINEM AKTUELLEN<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step64" name="step64" type="checkbox" />
                  <label for="step64">SPIELT KEINE ROLLE<span class="checked"></span></label>
                </li>
              </ul>
              <div class="btn-group">
                <button type="button" class="btn btn btn-full btn-green js-next-step">
                  WEITER
                </button>
              </div>
            </div>
          </div>
        </div>
        <div class="content-step js-step js-animation-step hidden" data-timeout="5000">
          <div class="panel" id="load2">
            <!-- <header class=""><h2>ERGEBNIS FÜR DICH</h2></header> -->
            <div class="panel-content">
              <ul class="js-processing-texts loading-steps">
                <li class="active" data-loading-timeout="1000">
                  ES WIRD GEPRÜFT, OB DU FÜR UNSERE GEMEINSCHAFT GEEIGNET BIST
                </li>
                <li class="" data-loading-timeout="1000">
                  ÜBERPRÜFUNG IHRER ANTWORTEN...
                </li>
                <li class="" data-loading-timeout="1000">
                  PASSENDE SEXPARTNER SUCHEN...
                </li>
                <li class="" data-loading-timeout="1000">
                  SIE SIND GEEIGNET SICH ZU REGISTRIEREN
                </li>
                <li class="" data-loading-timeout="1000">
                  ÜBERPRÜFUNG DOPPELTER ANMELDUNGEN...
                </li>
              </ul>
              <div class="js-processing-bar loading-bar"><span>0%</span></div>
            </div>
          </div>
        </div>
        <div class="content-step js-step js-animation-step hidden" data-timeout="1500">
          <div class="panel">
            <header class="">
              <h2>ERGEBNIS FÜR DICH</h2>
            </header>
            <div class="panel-content">
              <p class="headline-green">
                SIE SIND GEEIGNET SICH ZU REGISTRIEREN
              </p>
              <p class="headline-white">
                ES GIBT 147 FRAUEN, DIE IHNEN GEWÄHLTEN OPTIONEN ENTSPRECHEN
              </p>
              <div class="btn-group">
                <button type="button" class="btn icon-success"></button>
              </div>
            </div>
          </div>
        </div>
        <div class="content-step js-step hidden">
          <div class="panel">
            <header class="header-small-text">
              <h2>AKZEPTIERE DIE FOLGENDEN VORSCHRIFTEN:</h2>
            </header>
            <div class="panel-content">
              <ul class="checklist checklist-small checklist-default">
                <li>
                  <input id="step91" name="step91" type="checkbox" />
                  <label for="step91">FALLS DU JEMANDEN BEKANNTEN SIEHST, SEI BITTE
                    DISKRET<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step92" name="step92" type="checkbox" />
                  <label for="step92">SEI NICHT UNHÖFLICH ZU ANDERE MITGLIEDERN<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step93" name="step93" type="checkbox" />
                  <label for="step93">RESPEKTIERE UND BEACHTE DIE SEXUELLEN WÜNSCHE DER ANDEREN
                    MITGLIEDER<span class="checked"></span></label>
                </li>
                <li>
                  <input id="step94" name="step94" type="checkbox" />
                  <label for="step94">BENUTZE EIN KONDOM BEIM SEX<span class="checked"></span></label>
                </li>
              </ul>
              <div class="btn-group">
                <button type="button" class="btn btn btn-full btn-green js-next-step js-open-headline-header">
                  ICH STIMME ZU
                </button>
              </div>
            </div>
          </div>
        </div>
        <div class="content-step four-circles hidden js-step">
          <div class="container">
            <div class="stepwizard mb-4">
              <div class="stepwizard-row setup-panel ">
                <div class="stepwizard-step col-xs-4">
                  <a href="#step-1" type="button" class="btn btn-success btn-circle unclickbar"
                    disabled="disabled">1</a>
                </div>
                <div class="stepwizard-step col-xs-4">
                  <a href="#step-2" type="button" class="btn btn-default btn-circle unclickbar"
                    disabled="disabled">2</a>
                </div>
                <div class="stepwizard-step col-xs-4">
                  <a href="#step-3" type="button" class="btn btn-default btn-circle unclickbar"
                    disabled="disabled">3</a>
                </div>
              </div>
            </div>

            <form role="form" class="main-form-wrapper">
              <div class=" panel-primary setup-content" id="step-1">
                <div class="panel-body">
                  <div class="form-group">
                    <label class="control-label big">Postleitzahl</label>
                    <div class="input-group data">
                      <div class="">
                        <input maxlength="200" type="text" required="required" class="form-control api-check api-zip"
                          data-check="zipcode&land" placeholder="Deine Postleitzahl" />
                      </div>
                      <div class="input-group-btn">
                        <button type="button" class="btn btn-default dropdown-toggle"
                          style="border-bottom-left-radius: 0; border-top-left-radius: 0;" data-toggle="dropdown"
                          aria-haspopup="true" aria-expanded="false">
                          <img class="img-flag" id="current-country" src="de.jpg" />
                          <input type="hidden" class="api-check api-land" data-check="zipcode&land" value="DE" />
                          <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu dropdown-menu-right">
                          <li class="no-border">
                            <a href="#" onclick="setCountry(1); return false;"><img class="img-flag" src="de.jpg" />
                              Deutschland</a>
                          </li>
                          <li class="no-border">
                            <a href="#" onclick="setCountry(2); return false;"><img class="img-flag" src="at.jpg" />
                              Österreich</a>
                          </li>
                          <li class="no-border">
                            <a href="#" onclick="setCountry(3); return false;"><img class="img-flag" src="ch.jpg" />
                              Schweiz</a>
                          </li>
                        </ul>
                      </div>
                      <script>
                        function setCountry(country) {
                          switch (country) {
                            case 1:
                              $("#current-country").attr("src", "de.jpg");
                              $(".api-land").val("DE");
                              $(".api-land").trigger("change");
                              break;
                            case 2:
                              $("#current-country").attr("src", "at.jpg");
                              $(".api-land").val("AT");
                              $(".api-land").trigger("change");
                              break;
                            case 3:
                              $("#current-country").attr("src", "ch.jpg");
                              $(".api-land").val("CH");
                              $(".api-land").trigger("change");
                              break;
                          }
                        }
                      </script>
                    </div>
                    <div class="label error hidden" id="city-error-label"
                      style="color:red; display:inline-block; font-size:14px; margin-left: -7px;">
                      Label is empty
                    </div>
                    <!-- /input-group -->

                    <span class="error-message">Land und Postleitzahl ueberpruefen</span>
                  </div>

                  <div class="center-parent">
                    <div class="center-container">
                      <i id="mo-spin-icon" class="fa fa-cog fa-spin"></i>
                    </div>
                  </div>

                  <button class="btn btn-custom nextBtn btn-block api-check-btn" type="button">
                    Weiter
                  </button>
                </div>
              </div>

              <div class=" panel-primary setup-content" id="step-2">
                <div class="panel-body">
                  <div class="row">
                    <div class="col-sm-12">
                      <div class="row">
                        <div class="col-sm-12">
                          <label class="control-label big">Geburtsdatum</label>
                        </div>
                        <div class="col-sm-4">
                          <div class="form-group select">
                            <select name="dob_day" class="form-control" id="tag" required="required">
                              <option value="">Tag</option>
                              <option value="01">1</option>
                              <option value="02">2</option>
                              <option value="03">3</option>
                              <option value="04">4</option>
                              <option value="05">5</option>
                              <option value="06">6</option>
                              <option value="07">7</option>
                              <option value="08">8</option>
                              <option value="09">9</option>
                              <option value="10">10</option>
                              <option value="11">11</option>
                              <option value="12">12</option>
                              <option value="13">13</option>
                              <option value="14">14</option>
                              <option value="15">15</option>
                              <option value="16">16</option>
                              <option value="17">17</option>
                              <option value="18">18</option>
                              <option value="19">19</option>
                              <option value="20">20</option>
                              <option value="21">21</option>
                              <option value="22">22</option>
                              <option value="23">23</option>
                              <option value="24">24</option>
                              <option value="25">25</option>
                              <option value="26">26</option>
                              <option value="27">27</option>
                              <option value="28">28</option>
                              <option value="29">29</option>
                              <option value="30">30</option>
                              <option value="31">31</option>
                            </select>
                          </div>
                        </div>
                        <div class="col-sm-4">
                          <div class="form-group select">
                            <select name="dob_month" class="form-control" id="monat" required="required">
                              <option value="">Monat</option>
                              <option value="01">Januar</option>
                              <option value="02">Februar</option>
                              <option value="03">März</option>
                              <option value="04">April</option>
                              <option value="05">Mai</option>
                              <option value="06">Juni</option>
                              <option value="07">Juli</option>
                              <option value="08">August</option>
                              <option value="09">September</option>
                              <option value="10">Oktober</option>
                              <option value="11">November</option>
                              <option value="12">Dezember</option>
                            </select>
                          </div>
                        </div>
                        <div class="col-sm-4">
                          <div class="form-group select">
                            <select name="dob_year" class="form-control" id="jahr" required="required">
                              <option value="">Jahr</option>
                              <option value="2002">2002</option>
                              <option value="2001">2001</option>
                              <option value="2000">2000</option>
                              <option value="1999">1999</option>
                              <option value="1998">1998</option>
                              <option value="1997">1997</option>
                              <option value="1996">1996</option>
                              <option value="1995">1995</option>
                              <option value="1994">1994</option>
                              <option value="1993">1993</option>
                              <option value="1992">1992</option>
                              <option value="1991">1991</option>
                              <option value="1990">1990</option>
                              <option value="1989">1989</option>
                              <option value="1988">1988</option>
                              <option value="1987">1987</option>
                              <option value="1986">1986</option>
                              <option value="1985">1985</option>
                              <option value="1984">1984</option>
                              <option value="1983">1983</option>
                              <option value="1982">1982</option>
                              <option value="1981">1981</option>
                              <option value="1980">1980</option>
                              <option value="1979">1979</option>
                              <option value="1978">1978</option>
                              <option value="1977">1977</option>
                              <option value="1976">1976</option>
                              <option value="1975">1975</option>
                              <option value="1974">1974</option>
                              <option value="1973">1973</option>
                              <option value="1972">1972</option>
                              <option value="1971">1971</option>
                              <option value="1970">1970</option>
                              <option value="1969">1969</option>
                              <option value="1968">1968</option>
                              <option value="1967">1967</option>
                              <option value="1966">1966</option>
                              <option value="1965">1965</option>
                              <option value="1964">1964</option>
                              <option value="1963">1963</option>
                              <option value="1962">1962</option>
                              <option value="1961">1961</option>
                              <option value="1960">1960</option>
                              <option value="1959">1959</option>
                              <option value="1958">1958</option>
                              <option value="1957">1957</option>
                              <option value="1956">1956</option>
                              <option value="1955">1955</option>
                              <option value="1954">1954</option>
                              <option value="1953">1953</option>
                              <option value="1952">1952</option>
                              <option value="1951">1951</option>
                              <option value="1950">1950</option>
                              <option value="1949">1949</option>
                              <option value="1948">1948</option>
                              <option value="1947">1947</option>
                              <option value="1946">1946</option>
                              <option value="1945">1945</option>
                              <option value="1944">1944</option>
                              <option value="1943">1943</option>
                              <option value="1942">1942</option>
                              <option value="1941">1941</option>
                              <option value="1940">1940</option>
                              <option value="1939">1939</option>
                              <option value="1938">1938</option>
                              <option value="1937">1937</option>
                              <option value="1936">1936</option>
                              <option value="1935">1935</option>
                              <option value="1934">1934</option>
                              <option value="1933">1933</option>
                              <option value="1932">1932</option>
                              <option value="1931">1931</option>
                              <option value="1930">1930</option>
                              <option value="1929">1929</option>
                              <option value="1928">1928</option>
                              <option value="1927">1927</option>
                              <option value="1926">1926</option>
                              <option value="1925">1925</option>
                              <option value="1924">1924</option>
                              <option value="1923">1923</option>
                              <option value="1922">1922</option>
                              <option value="1921">1921</option>
                              <option value="1920">1920</option>
                            </select>
                            <span class="error-message">Geburtstag eingeben</span>
                          </div>
                        </div>
                      </div>
                      <input type="hidden" id="geburtstag_field" class="api-check api-dob" data-check="birth"
                        value="01.01.1970" />
                    </div>

                    <script>
                      $("#jahr").on("change", function () {
                        var dob = $(geburtstag_field).val();
                        var dobSplit = dob.split(".");
                        $(geburtstag_field).val(
                          dobSplit[0] + "." + dobSplit[1] + "." + $(this).val()
                        );
                      });
                      $("#monat").on("change", function () {
                        var dob = $(geburtstag_field).val();
                        var dobSplit = dob.split(".");
                        $(geburtstag_field).val(
                          dobSplit[0] + "." + $(this).val() + "." + dobSplit[2]
                        );
                      });
                      $("#tag").on("change", function () {
                        var dob = $(geburtstag_field).val();
                        var dobSplit = dob.split(".");
                        $(geburtstag_field).val(
                          $(this).val() + "." + dobSplit[1] + "." + dobSplit[2]
                        );
                      });
                    </script>
                  </div>
                  <div class="center-parent">
                    <div class="center-container">
                      <i id="mo-spin-icon" class="fa fa-cog fa-spin"></i>
                    </div>
                  </div>
                  <div class="back">
                    <button class="btn btn-custom backBtn inner" type="button">
                      Zurück
                    </button>
                    <button class="btn btn-custom nextBtn btn-block api-check-btn inner" type="button">
                      Weiter
                    </button>
                  </div>
                </div>
              </div>

              <div class=" panel-primary setup-content" id="step-3">
                <div class="panel-body">
                  <div class="row">
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="control-label">E-Mail</label>
                        <input maxlength="200" type="text" required="required" class="form-control api-check api-email"
                          data-check="email" placeholder="Ihre E-Mail" />
                        <span class="error-message">Geben Sie eine richtige E-Mail an.</span>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <div class="form-group">
                        <label class="control-label">Benutzername</label>
                        <input maxlength="200" type="text" required="required"
                          class="form-control api-check api-username" data-check="username"
                          placeholder="Ihr Benutzername" />
                        <span class="error-message">Geben Sie einen Benutzernamen an.</span>
                      </div>
                    </div>
                    <div class="col-md-12">
                      <div class="form-group">
                        <label class="control-label">Passwort</label>
                        <input type="password" required="required" class="form-control api-check api-passwort"
                          data-check="password" placeholder="Ihr Passwort" />
                        <span class="error-message">Geben Sie ein sicheres Passwort ein.</span>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-6">
                      <span class="submit-error">Fehler:</span>
                    </div>
                  </div>
                  <div class="center-parent">
                    <div class="center-container">
                      <i id="mo-spin-icon" class="fa fa-cog fa-spin"></i>
                    </div>
                  </div>
                  <div class="back">
                    <button class="btn btn-custom backBtn inner" type="button">
                      Zurück
                    </button>
                    <button class="btn btn-custom btn-block api-check-finish-btn inner" type="button">
                      Weiter
                    </button>
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <div class="legal__container">
      <div class="legal__imprint" data-uid="legal__imprint--{{ txt_legal_imprint }}">
        <a style="color: white;" href="https://www.findedeinabenteuer.de/">Impressum</a>
      </div>
      <div class="legal__privacy" data-uid="legal__privacy--{{ txt_legal_privacy }}">
        <a style="color: white;" href="https://www.findedeinabenteuer.de/">Datenschutz</a>
      </div>
      <div class="legal__agb url_imprint" data-uid="legal__agb--{{ txt_legal_agb }}">
        <a style="color: white;" href="https://www.findedeinabenteuer.de/">AGB</a>
      </div>
      <div class="legal__disclaimer">
        <div class="text text--legal">
          Falls Sie eine Ihnen bekannte Person finden, respektieren Sie die
          Privatsphäre.<br />Diese Frauen sind NUR auf der Suche nach
          Gelegenheitssex.
        </div>
      </div>
    </div>

  </div>

  <script src="//ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

  <script type="text/javascript" src="js/step.js"></script>
  <script>
    $(function () {
      $("#regform").initRegistration({
        onComplete: function () {
          window.location = "/soi-redirect";
        }
      });

      $("[id=gender_t], [id=searchGender_t]").on("change", function () {
        $(document)
          .find(
            "[id=" +
            $(this)
            .attr("id")
            .replace("_t", "") +
            "]"
          )
          .val($(this).val());
      });
      $(
        "[id=username_t], [id=password_t], [id=confirm_password_t], [id=email_t]"
      ).on("change paste keyup", function () {
        $(document)
          .find(
            "[id=" +
            $(this)
            .attr("id")
            .replace("_t", "") +
            "]"
          )
          .val($(this).val());
      });

      $(".js-open-registration").on("click", function () {
        var activeProfile = $(this).attr("data-key"),
          bgProfile = $(this).attr("data-bg");
        $(".js-bilder li.js-" + activeProfile).addClass("actived");
        $(".registration-form-builder-wrapper")
          .css({
            "background-image": "url(" + bgProfile + ")"
          })
          .fadeIn();
        $(".registration-form-builder-wrapper").removeClass("hidden");
        $(".registration-form-builder-wrapper").scrollTop(0);
        addDeepLink(activeProfile);
      });

      $(".js-bilder").on("click", "li", function () {
        $(".registration-form-builder-wrapper").animate({
            scrollTop: 0
          },
          "slow"
        );
      });
      $(".js-checklist li input[type=checkbox]").on("click", function () {
        if (
          $(this)
          .parents(".js-checklist")
          .find("input[type=checkbox]:checked").length > 3
        ) {
          return false;
        }
      });
      // ADD HEADLINE HEADER
      $(".js-open-headline-header").on("click", function () {
        addSlogan();
      });
    });

    function addSlogan() {
      $(".header").append(
        '<div class="slogan">MIT WELCHER ART VON <span>AMATEUR</span> WILLST DU SEX HABEN?</div>'
      );
      $(".wrapper").addClass("has-slogan");
    }

    function addDeepLink(obj) {
      var selectedName = obj;
      if (typeof selectedName != "undefined" && selectedName) {
        insertParamsToURL("deeplink_id", selectedName);
        insertParamsToURL("deeplink_type", "tag");
      }
    }

    function insertParamsToURL(key, value) {
      var selectedName = value,
        url = window.location.pathname,
        params = window.location.search.replace("?", "").split("&"),
        newParams = [];

      for (var i = 0; i < params.length; i++) {
        if (params[i].indexOf(key + "=") < 0 && params[i] != "") {
          newParams.push(params[i]);
        }
      }

      url +=
        "?" +
        key +
        "=" +
        selectedName +
        (newParams.length > 0 ? "&" + newParams.join("&") : "");
      window.history.replaceState(null, null, url);
    }

    function handleBeforeGoNextStep($eleShown) {
      if ($eleShown.hasClass("js-active-progress-bar")) {
        var $progressBar = $(".js-progress-bar");
        $progressBar.find("li").removeClass("active");

        for (var i = 0; i < $(".js-active-progress-bar").length; i++) {
          if (
            $eleShown.get(0) ==
            $(".js-active-progress-bar")
            .eq(i)
            .get(0)
          ) {
            var activeIndex = i;
            if (i >= $progressBar.find("li").length) {
              activeIndex = $progressBar.find("li").length - 1;
            }
            $progressBar
              .find("li")
              .eq(activeIndex)
              .addClass("active");
          }
        }
      }
    }

    function handleAfterGoNextStep($eleShow, $eleHide) {
      if (!$eleShow.hasClass("js-animation-step")) {
        return;
      }
      var timeout = $eleShow.attr("data-timeout"),
        $processingBar = $eleShow.find(".js-processing-bar"),
        $processingTexts = $eleShow.find(".js-processing-texts");

      //processing texts
      var totalTexts = $processingTexts.find("li").length;
      index = 0;
      var processingTexts = setInterval(function () {
        ++index;
        $processingTexts
          .find("li")
          .removeClass("active")
          .eq(index)
          .addClass("active");
        if (index >= totalTexts) {
          clearInterval(processingTexts);
        }
      }, timeout / totalTexts);
      //processing percent
      var percent = 0,
        $processingEle = $processingBar.find("span");
      $processingEle.text(percent + "%");

      var processingTimer = setInterval(function () {
        $processingEle.text(++percent + "%");
        $processingEle.css({
          width: percent + "%"
        });
        if (percent >= 100) {
          clearInterval(processingTimer);
        }
      }, timeout / 100);
    }
  </script>
</body>

</html>